Name:			bwctl
Version:		1.4
Release:		1%{?dist}
Summary:		Network Throughput Tester
License:		Apache License v2.0
Group:			Development/Libraries
URL:			http://www.internet2.edu/performance/bwctl/
Source0:		%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	I2util
BuildRequires:	libtool
Requires:		bwctl-client
Requires:		bwctl-server

%description
bwctl is a command line client application and a scheduling and policy daemon
that wraps Iperf, Thrulay or nuttcp.

%package client
Summary:		bwctl client
Group:			Applications/Communications
Requires:		iperf
%description client
bwctl command line tool for scheduling bandwidth measurements with a bwctl server.

%package server
Summary:		bwctl server
Group:			Applications/Communications
Requires:		chkconfig
Requires:		coreutils
Requires:		I2util
Requires:		initscripts
Requires:		shadow-utils
Requires:		iperf
%description server
bwctl server.

%package devel
Summary:		bwctl library headers.
Group:			Development/Libraries
%description devel
This package includes header files, and static link libraries for building
applications that use the bwctl library.

%prep
%setup -q

%build
%configure --prefix=%{_prefix} --with-thrulay=no --with-I2util=no --enable-nuttcp
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%{__install} -D -p -m 0755 conf/bwctld.init %{buildroot}%{_sysconfdir}/rc.d/init.d/bwctld
%{__install} -D -p -m 0755 conf/bwctld.limits.default %{buildroot}%{_sysconfdir}/bwctld/bwctld.limits
%{__install} -D -p -m 0755 conf/bwctld.conf %{buildroot}%{_sysconfdir}/bwctld/bwctld.conf

%clean
rm -rf %{buildroot}

%post server
# If this is a first time install, add the users and enable it by default
if [ "$1" = "1" ]; then
	/sbin/chkconfig --add bwctld
	/usr/sbin/useradd -r -s /bin/nologin -d /tmp bwctl || :
fi

%preun server
# If this is an actual uninstall, stop the service and remove its links
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del bwctld
	/sbin/service bwctld stop
fi

%postun server
# If this is an actual uninstall, delete the user after the software has been removed
if [ "$1" = "0" ]; then
	/usr/sbin/userdel bwctl || :
fi

%files

%files client
%defattr(-,root,root,-)
%doc README
%{_bindir}/bwctl
%{_mandir}/man1/bwctl.1.gz

%files server
%defattr(-,root,root,-)
%doc README contrib/sample_hook.pl
%{_bindir}/bwctld
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sysconfdir}/rc.d/init.d/bwctld
%config(noreplace) %{_sysconfdir}/bwctld/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libbwlib.a
%{_includedir}/bwctl/*

%changelog
* Fri Aug 20 2010 Tom Throckmorton <throck@mcnc.org> - 1.3-4
- minor spec changes to enable rebuilds via mock
- disable I2util, thrulay at buildtime; enable nuttcp

* Fri Jan 11 2008 aaron@internet2.edu 1.0-1
- Initial RPM
